#ifndef __BASIC_H__
#define __BASIC_H__


#include "libgba/gba.h"

//---------------------------------------------------------------------------
#define BASIC_MAX_COLOR_CNT		8


//---------------------------------------------------------------------------
typedef struct {
	u16 hex;
} ST_BASIC_COLOR;


//---------------------------------------------------------------------------
ROM_CODE void BasicInit(char* pBuf);
ROM_CODE bool BasicParse();
ROM_CODE void BasicExec();
ROM_CODE bool BasicIsEnd();



// OɈϑ֐͂Œ`܂
void BasicDrawLf();
void BasicDrawStr(char* pStr);
void BasicDrawNum(s16 num);
void BasicDrawErrStr(char* pStr, s16 num);
void BasicDrawPset(u16 sx, u16 sy, u16 col);
void BasicDrawLine(u16 sx, u16 sy, u16 ex, u16 ey, u16 col);
void BasicDrawCircle(u16 sx, u16 sy, u16 r, u16 col);
u16  BasicGetRand(u16 num);


#endif
