#ifndef __GBA_DUMMY_H__
#define __GBA_DUMMY_H__

#include <assert.h>
#include <stdlib.h>

// _~[t@C
//---------------------------------------------------------------------------
typedef	unsigned char			u8;		/**< Unsigned 8 bit value	*/
typedef	unsigned short int		u16;	/**< Unsigned 16 bit value	*/
typedef	unsigned int			u32;	/**< Unsigned 32 bit value	*/
typedef	signed char				s8;		/**< Signed 8 bit value	*/
typedef	signed short int		s16;	/**< Signed 16 bit value	*/
typedef	signed int				s32;	/**< Signed 32 bit value	*/
typedef	volatile u8				vu8;	/**< volatile Unsigned 8 bit value	*/
typedef	volatile u16			vu16;	/**< volatile Unigned 16 bit value	*/
typedef	volatile u32			vu32;	/**< volatile Unsigned 32 bit value	*/
typedef	volatile s8				vs8;	/**< volatile Signed 8 bit value	*/
typedef	volatile s16			vs16;	/**< volatile Signed 8 bit value	*/
typedef	volatile s32			vs32;	/**< volatile Signed 8 bit value	*/


typedef enum { FALSE, TRUE } bool;


#define TRACEOUT				if(0) printf
#define _Memset					memset
#define _Atoi					atoi
#define _Strlen					strlen
#define _Strncmp				strncmp
#define _ASSERT					assert
#define _Rand(num)				(rand() % (num))


#define Mode3DrawNum(num)		printf("%d ", num)
#define Mode3DrawStr(pStr)		printf("%s ", pStr)
#define Mode3DrawStrLf(...)		printf("\n")
#define Mode3DrawPset(...)		
#define Mode3DrawLine(...)		
#define Mode3DrawCircle(...)	


#define ROM_CODE				


#define DivMod(a, b)	((a) % (b))
#define Div(a, b)		((a) / (b))


#define SCREEN_WIDTH 240
#define SCREEN_HEIGHT 160
#define RGB5(r,g,b)				((r)|((g)<<5)|((b)<<10))


//---------------------------------------------------------------------------


#endif
