#ifndef __STATE_H__
#define __STATE_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "libgba/gba.h"

//---------------------------------------------------------------------------
enum {
	STATE_INIT  = 0x01,
	STATE_RESET,
	STATE_RUN,
	STATE_RESTART,
};


//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
EWRAM_CODE void StateInit();

IWRAM_CODE void StateExec();
IWRAM_CODE void StateExecInit();
IWRAM_CODE void StateExecReset();
IWRAM_CODE void StateExecMake();
IWRAM_CODE void StateExecRun();
IWRAM_CODE void StateExecRestart();


#ifdef __cplusplus
}
#endif
#endif
