#include <stdio.h>
#include <stdlib.h>
#include "basic.h"


//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
int main(int argc, char **argv)
{
	if(argc != 2)
	{
		printf("err argc");
		return 1;
	}

	FILE* fp = fopen(argv[1], "rb");
	if(fp == NULL)
	{
		printf("err filename");
		return 1;
	}

	fpos_t fsize;
	fseek(fp,0,SEEK_END);
	fgetpos(fp, &fsize);
	fseek(fp,0,SEEK_SET);

	char* pBuf = (char*)calloc(fsize+1, sizeof(char));
	int i = 0;
	int ch;

	while((ch = fgetc(fp)) != EOF)
	{
		pBuf[i++] = ch;
	}
	fclose(fp);


	BasicInit(pBuf);

	if(BasicParse() == TRUE)
	{
		while(BasicIsEnd() == FALSE)
		{
			BasicExec();
		}
	}

	return 0;
}

