#ifndef __RE2C_H__
#define __RE2C_H__


#include "libgba/gba.h"


//---------------------------------------------------------------------------
#define RE2C_MAX_BUF_CNT	256
#define RE2C_MAX_STR_CNT	64
#define YYMARKER			yymarker


//---------------------------------------------------------------------------
typedef struct {
	u16  cnt;
	char buf[RE2C_MAX_BUF_CNT];
} ST_RE2C;


//---------------------------------------------------------------------------
void Re2cInit(char* pSrc);
void Re2cSkipLF();

void Re2cBufClear();
bool Re2cBufFill();


int  yylex();


#endif
