import os
import Image

#------------------------------------
cx   = 7
cy   = 11
cnt  = 192

pNew = Image.new('RGBA', (cx, cy * cnt))
pBmp = Image.open('mplus_s10r.bmp')

for i in range(cnt):
	box = (i*cx, 0, (i+1)*cx, cy)
	im  = pBmp.crop(box)
	pNew.paste(im, (0, i*cy))

pNew.save('new.png', 'PNG')
